import { Card, CardBody, CardTitle, Grid, GridItem } from "@patternfly/react-core";
import { PictoryLink } from "./pictory-link/PictoryLinkButton.jsx";
import React from "react";
import cockpit from "cockpit";
import { RevPiHelpText } from "../common.components.jsx";

const _ = cockpit.gettext;

export function PictoryCard ({ getRevpiSwitch }) {
    const cardTitle = _("PiCtory");
    return (
        <Card isFullHeight name='pictory'>
            <CardTitle>
                {cardTitle}
                <RevPiHelpText title={cardTitle}>
                    {_("Launch PiCtory and configure its corresponding services.")}
                </RevPiHelpText>
            </CardTitle>
            <CardBody>
                <Grid hasGutter>
                    <GridItem span={12}>
                        <PictoryLink />
                    </GridItem>
                    <GridItem span={12}>
                        {getRevpiSwitch("pimodbus-master")}
                    </GridItem>
                    <GridItem span={12}>
                        {getRevpiSwitch("pimodbus-slave")}
                    </GridItem>
                </Grid>
            </CardBody>
        </Card>
    );
}
