import { Card, CardBody, CardTitle, Grid, GridItem } from "@patternfly/react-core";
import React from "react";
import cockpit from "cockpit";
import { RevPiHelpText } from "../common.components.jsx";

const _ = cockpit.gettext;

export function RunTimeCard ({ getRevpiSwitch }) {
    const cardTitle = _("Runtimes");
    return (
        <Card isFullHeight name='runtime'>
            <CardTitle>
                {cardTitle}
                <RevPiHelpText title={cardTitle}>
                    {_("Manage your runtime settings.")}
                </RevPiHelpText>
            </CardTitle>
            <CardBody>
                <Grid hasGutter>
                    <GridItem span={12}>
                        {getRevpiSwitch("revpipyload")}
                    </GridItem>
                    <GridItem span={12}>
                        <div>
                            <h3 style={{ fontWeight: "bold" }}>CODESYS</h3>
                            <div>
                                {_("This feature is under development and will soon be configurable within this section. For more information, refer to the 'Help' section in the top navigation bar.")}
                            </div>
                        </div>
                    </GridItem>
                </Grid>
            </CardBody>
        </Card>
    );
}
